Upstream information

CVE-2009-0368 at MITRE

Description

OpenSC before 0.11.7 allows physically proximate attackers to bypass intended PIN requirements and read private data objects via a (1) low level APDU command or (2) debugging tool, as demonstrated by reading the 4601 or 4701 file with the opensc-explorer or opensc-tool program.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 480262 [RESOLVED / FIXED], 548555

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Desktop 12 GA opensc
SUSE Linux Enterprise Desktop 12 SP1
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA opensc
SUSE Linux Enterprise Desktop 12 SP2
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA opensc
SUSE Linux Enterprise Desktop 12 SP3
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA opensc
SUSE Linux Enterprise Module for Basesystem 15
  • opensc >= 0.17.0-1.30
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA opensc
SUSE Linux Enterprise Server 11
  • libopensc2 >= 0.11.6-5.25.1
  • libopensc2-32bit >= 0.11.6-5.25.1
  • libopensc2-x86 >= 0.11.6-5.25.1
  • opensc >= 0.11.6-5.25.1
  • opensc-32bit >= 0.11.6-5.25.1
  • opensc-x86 >= 0.11.6-5.25.1
Patchnames:
slessp0-libopensc2
SUSE Linux Enterprise Server 11 SP1
  • libopensc2 >= 0.11.6-5.25.1
  • libopensc2-32bit >= 0.11.6-5.25.1
  • libopensc2-x86 >= 0.11.6-5.25.1
  • opensc >= 0.11.6-5.25.1
  • opensc-32bit >= 0.11.6-5.25.1
  • opensc-x86 >= 0.11.6-5.25.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA libopensc2
SUSE Linux Enterprise Server 11 SP2
  • libopensc2 >= 0.11.6-5.27.1
  • libopensc2-32bit >= 0.11.6-5.27.1
  • libopensc2-x86 >= 0.11.6-5.27.1
  • opensc >= 0.11.6-5.27.1
  • opensc-32bit >= 0.11.6-5.27.1
  • opensc-x86 >= 0.11.6-5.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libopensc2
SUSE Linux Enterprise Server 11 SP3
  • libopensc2 >= 0.11.6-5.27.1
  • libopensc2-32bit >= 0.11.6-5.27.1
  • libopensc2-x86 >= 0.11.6-5.27.1
  • opensc >= 0.11.6-5.27.1
  • opensc-32bit >= 0.11.6-5.27.1
  • opensc-x86 >= 0.11.6-5.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libopensc2
SUSE Linux Enterprise Server 11 SP4
  • libopensc2 >= 0.11.6-5.27.1
  • libopensc2-32bit >= 0.11.6-5.27.1
  • libopensc2-x86 >= 0.11.6-5.27.1
  • opensc >= 0.11.6-5.27.1
  • opensc-32bit >= 0.11.6-5.27.1
  • opensc-x86 >= 0.11.6-5.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libopensc2
SUSE Linux Enterprise Server 12
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Server 12 GA opensc
SUSE Linux Enterprise Server 12 SP1
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA opensc
SUSE Linux Enterprise Server 12 SP2
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA opensc
SUSE Linux Enterprise Server 12 SP3
  • opensc >= 0.13.0-1.122
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA opensc
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • opensc >= 0.13.0-1.107
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA opensc
SUSE Linux Enterprise Server for SAP Applications 11
  • libopensc2 >= 0.11.6-5.25.1
  • libopensc2-32bit >= 0.11.6-5.25.1
  • libopensc2-x86 >= 0.11.6-5.25.1
  • opensc >= 0.11.6-5.25.1
  • opensc-32bit >= 0.11.6-5.25.1
  • opensc-x86 >= 0.11.6-5.25.1
Patchnames:
slessp0-libopensc2
SUSE Linux Enterprise Software Development Kit 11 SP4
  • opensc-devel >= 0.11.6-5.27.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA opensc-devel
openSUSE 11.0
  • opensc-debuginfo >= 0.11.4-37.6
  • opensc-debugsource >= 0.11.4-37.6
openSUSE 11.0
  • libopensc2 >= 0.11.4-37.6
  • libopensc2-32bit >= 0.11.4-37.6
  • libopensc2-64bit >= 0.11.4-37.6
  • opensc >= 0.11.4-37.6
  • opensc-32bit >= 0.11.4-37.6
  • opensc-64bit >= 0.11.4-37.6
  • opensc-devel >= 0.11.4-37.6
openSUSE 11.1
  • opensc-debuginfo >= 0.11.6-5.2.1
  • opensc-debugsource >= 0.11.6-5.2.1
openSUSE 11.1
  • libopensc2 >= 0.11.6-5.2.1
  • libopensc2-32bit >= 0.11.6-5.2.1
  • libopensc2-64bit >= 0.11.6-5.2.2
  • opensc >= 0.11.6-5.2.1
  • opensc-32bit >= 0.11.6-5.2.1
  • opensc-64bit >= 0.11.6-5.2.2
  • opensc-devel >= 0.11.6-5.2.1
SUSE Linux Enterprise SDK 10 SP2
  • opensc-devel >= 0.9.6-17.12
sles10-sp2.x86-64
sles10-sp2.x86
sle10-sp2-sdk.ia64
sle10-sp2-sdk.s390x
sles10-sp2.ppc
sled10-sp2.x86-64
sle10-sp2-sdk.x86-64
sles10-sp2.s390x
sle10-sp2-sdk.ppc
sle10-sp2-sdk.x86
sled10-sp2.x86
sles10-sp2.ia64
ZYPP Patch Nr: 6053
SUSE Linux Enterprise SDK 10 SP2
  • opensc-32bit >= 0.9.6-17.12
  • opensc-devel >= 0.9.6-17.12
sles10-sp2.x86-64
sles10-sp2.x86
sle10-sp2-sdk.ia64
sle10-sp2-sdk.s390x
sles10-sp2.ppc
sled10-sp2.x86-64
sle10-sp2-sdk.x86-64
sles10-sp2.s390x
sle10-sp2-sdk.ppc
sle10-sp2-sdk.x86
sled10-sp2.x86
sles10-sp2.ia64
ZYPP Patch Nr: 6053
SUSE Linux Enterprise SDK 11 GA
  • opensc-devel >= 0.11.6-5.25.1
sled11.x86-64
sle11-sdk.s390x
sles11.s390x
sles11.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86
sle11-debuginfo.x86
sle11-debuginfo.ia64
sle11-sdk.ppc
sle11-debuginfo.s390x
sles11.x86-64
sles11.ppc
SAT Patch Nr: 641
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • libopensc2 >= 0.11.6-5.25.1
  • opensc >= 0.11.6-5.25.1
sled11.x86-64
sle11-sdk.s390x
sles11.s390x
sles11.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86
sle11-debuginfo.x86
sle11-debuginfo.ia64
sle11-sdk.ppc
sle11-debuginfo.s390x
sles11.x86-64
sles11.ppc
SAT Patch Nr: 641
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • libopensc2 >= 0.11.6-5.25.1
  • libopensc2-32bit >= 0.11.6-5.25.1
  • opensc >= 0.11.6-5.25.1
  • opensc-32bit >= 0.11.6-5.25.1
sled11.x86-64
sle11-sdk.s390x
sles11.s390x
sles11.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86
sle11-debuginfo.x86
sle11-debuginfo.ia64
sle11-sdk.ppc
sle11-debuginfo.s390x
sles11.x86-64
sles11.ppc
SAT Patch Nr: 641
SUSE Linux Enterprise Server 11 GA
  • libopensc2 >= 0.11.6-5.25.1
  • libopensc2-x86 >= 0.11.6-5.25.1
  • opensc >= 0.11.6-5.25.1
  • opensc-x86 >= 0.11.6-5.25.1
sled11.x86-64
sle11-sdk.s390x
sles11.s390x
sles11.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86
sle11-debuginfo.x86
sle11-debuginfo.ia64
sle11-sdk.ppc
sle11-debuginfo.s390x
sles11.x86-64
sles11.ppc
SAT Patch Nr: 641
openSUSE Tumbleweed
  • opensc >= 0.16.0-2.1
  • opensc-32bit >= 0.16.0-2.1
Patchnames:
openSUSE Tumbleweed GA opensc


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA opensc Released
SUSE Linux Enterprise Desktop 11 SP1 opensc Released
SUSE Linux Enterprise Desktop 11 SP2 opensc Released
SUSE Linux Enterprise Desktop 11 SP3 opensc Released
SUSE Linux Enterprise Desktop 11 SP4 opensc Released
SUSE Linux Enterprise SDK 11 GA opensc Released
SUSE Linux Enterprise SDK 11 SP1 opensc Released
SUSE Linux Enterprise SDK 11 SP2 opensc Released
SUSE Linux Enterprise SDK 11 SP3 opensc Released
SUSE Linux Enterprise SDK 11 SP4 opensc Released
SUSE Linux Enterprise Server 11 SP1 opensc Released
SUSE Linux Enterprise Server 11 SP1 LTSS opensc Released
SUSE Linux Enterprise Server 11 SP2 opensc Released
SUSE Linux Enterprise Server 11 SP2 LTSS opensc Released
SUSE Linux Enterprise Server 11 SP3 opensc Released
SUSE Linux Enterprise Server 11 SP3 LTSS opensc Released
SUSE Linux Enterprise Server 11 SP4 opensc Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 opensc Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 opensc Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 opensc Released
SUSE Linux Enterprise Server for VMWare 11 SP2 opensc Released
SUSE Linux Enterprise Server for VMWare 11 SP3 opensc Released